---------------------
PatchSet 5013 
Date: 2002/09/17 12:09:57
Author: rbcollins
Branch: fixrange
Tag: (none) 
Log:
fix debug statements

Members: 
	src/IPInterception.c:1.1.2.1->1.1.2.2 

Index: squid/src/IPInterception.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/IPInterception.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/src/IPInterception.c	17 Sep 2002 12:00:00 -0000	1.1.2.1
+++ squid/src/IPInterception.c	17 Sep 2002 12:09:57 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: IPInterception.c,v 1.1.2.1 2002/09/17 12:00:00 rbcollins Exp $
+ * $Id: IPInterception.c,v 1.1.2.2 2002/09/17 12:09:57 rbcollins Exp $
  *
  * DEBUG: section 89    NAT / IP Interception 
  * AUTHOR: Robert Collins
@@ -108,11 +108,11 @@
                 errno = save_errno;
             }
             if (natfd < 0) {
-                debug(50, 1) ("parseHttpRequest: NAT open failed: %s\n",
+                debug(89, 1) ("rewriteURIwithInterceptedDetails: NAT open failed: %s\n",
                     xstrerror());
                 cbdataFree(context);
                 xfree(inbuf);
-                return parseHttpRequestAbort(conn, "error:nat-open-failed");
+                return rewriteURIwithInterceptedDetailsAbort(conn, "error:nat-open-failed");
             }
             /* 
              * IP-Filter changed the type for SIOCGNATL between
@@ -129,12 +129,12 @@
             }
             if (x < 0) {
                 if (errno != ESRCH) {
-                    debug(50, 1) ("parseHttpRequest: NAT lookup failed: ioctl(SIOCGNATL)\n");
+                    debug(89, 1) ("rewriteURIwithInterceptedDetails: NAT lookup failed: ioctl(SIOCGNATL)\n");
                     close(natfd);
                     natfd = -1;
                     cbdataFree(context);
                     xfree(inbuf);
-                    return parseHttpRequestAbort(conn,
+                    return rewriteURIwithInterceptedDetailsAbort(conn,
                         "error:nat-lookup-failed");
                 } else
                     snprintf(uriBuffer, bufferLength, "http://%s:%d%s",
@@ -149,11 +149,11 @@
             if (pffd < 0)
                 pffd = open("/dev/pf", O_RDWR);
             if (pffd < 0) {
-                debug(50, 1) ("parseHttpRequest: PF open failed: %s\n",
+                debug(89, 1) ("rewriteURIwithInterceptedDetails: PF open failed: %s\n",
                     xstrerror());
                 cbdataFree(context);
                 xfree(inbuf);
-                return parseHttpRequestAbort(conn, "error:pf-open-failed");
+                return rewriteURIwithInterceptedDetailsAbort(conn, "error:pf-open-failed");
             }
             memset(&nl, 0, sizeof(struct pfioc_natlook));
             nl.saddr.v4.s_addr = peer.sin_addr.s_addr;
@@ -165,12 +165,12 @@
             nl.direction = PF_OUT;
             if (ioctl(pffd, DIOCNATLOOK, &nl)) {
                 if (errno != ENOENT) {
-                    debug(50, 1) ("parseHttpRequest: PF lookup failed: ioctl(DIOCNATLOOK)\n");
+                    debug(89, 1) ("rewriteURIwithInterceptedDetails: PF lookup failed: ioctl(DIOCNATLOOK)\n");
                     close(pffd);
                     pffd = -1;
                     cbdataFree(context);
                     xfree(inbuf);
-                    return parseHttpRequestAbort(conn,
+                    return rewriteURIwithInterceptedDetailsAbort(conn,
                         "error:pf-lookup-failed");
                 } else
                     snprintf(uriBuffer, bufferLength, "http://%s:%d%s",
@@ -182,7 +182,7 @@
 #if LINUX_NETFILTER
             /* If the call fails the address structure will be unchanged */
             getsockopt(conn->fd, SOL_IP, SO_ORIGINAL_DST, &conn->me, &sock_sz);
-            debug(33, 5) ("parseHttpRequest: addr = %s",
+            debug(89, 5) ("rewriteURIwithInterceptedDetails: addr = %s",
                 inet_ntoa(conn->me.sin_addr));
             if (vport_mode)
                 vport = (int) ntohs(me.sin_port);
